//	Version 1.0
//	Version 1.1 Fixed spelling of the lotto's name

//	Window layout globals
lottery_name = "LOTO Fran\u00E7ais";
num_balls = 7;
num_drawings = 2;
ball_size = 22;
ball_hspacing = 27;  //put their centerlines this far apart.
hide_estjackpot = true;	// France Lotto doesn't (reliably) show jackpot values from the last drawing.


//	Image sources
imgBkgrd.src = "Resources/Images/layouts/frloto/frloto-bkgrd.png";
lottonamestr_backdrop = "Resources/Images/layouts/frloto/red.png";
datestr_backdrop = "Resources/Images/layouts/frloto/red.png";
estjackpot_backdrop = "Resources/Images/layouts/frloto/red.png";

function DrawingDataObject()
//	NOTE:  THIS IS A CUSTOM OVERRIDE FOR THE CONSTRUCTOR IN THE MAIN ENGINE!!!
{
	this.lottonamestr = new Text();
	this.lottonamestr.alignment = "center";
	this.lottonamestr.size = "11";
	this.lottonamestr.color = "#FFFFFF";
//			this.lottonamestr.onMouseUp = "ViewDrawingInfo();"
//			this.lottonamestr.tooltip = "Click here to view the drawing info page";
	this.lottonamestr.zOrder = 10;
		if (system.platform == "windows") this.lottonamestr.size = "12";

//		this.username.onMouseUp = "UpdateSingleBuddyStatusManual(\"" + buddy_name + "\");";
//		this.username.tooltip = "Update " + buddy_name;
	this.numbers = new Array(new Array(num_balls), new Array(num_balls));  //last elements is the star
	for (z=0 ; z < this.numbers.length ; z++)
	{
		for (y=0 ; y < this.numbers[z].length ; y++)
		{
			this.numbers[z][y] = new Image();
			this.numbers[z][y].tooltip = "Click the balls to refresh the drawing data";
			this.numbers[z][y].onMouseUp = "GetDrawingData(currentDrawing); UpdateWindow();";
	//				this.numbers[z].alignment = "center";
	//				this.numbers[z].size = "11";
	//				this.numbers[z].color = "#000000";
		}
	}
	
	this.datestr = new Text();
	this.datestr.alignment = "center";
	this.datestr.size = "11";
	this.datestr.color = "#FFFFFF";
	this.datestr.onMouseUp = "ViewDrawingInfo();"
	this.datestr.tooltip = "Click here to view the drawing info page";
	this.datestr.zOrder = 10;
		if (system.platform == "windows") this.datestr.size = "12";

	this.estjackpot = new Text();
	this.estjackpot.alignment = "center";
	this.estjackpot.size = "11";
	this.estjackpot.color = "#FFFFFF";
	this.estjackpot.zOrder = 10;
		if (system.platform == "windows") this.estjackpot.size = "12"; 
	this.detailsURL = new URL();
//			this.detailsURL.opacity = 0;
}

function ViewDrawingInfo(this_drawing)
// NOTE:  THIS IS A CUSTOM OVERRIDE.
{
//	postmark = "";
//	tmpURL = setLotteryResultsURL(this_drawing)
//	if (tmpURL.postData != "") postmark = "?";
	openURL("http://www.loto.fr/les_resultats/derniers_resultats/result.php");	
}

function buyTicketsOnline()
{
	openURL("http://www.shareasale.com/r.cfm?b=1548&u=130900&m=625&urllink=&afftrack=");
}

function setLotteryResultsURL(this_drawing)
{
	targetURL = new URL();
//	Use the chewtoy.net copy of the current CSV results, because to do otherwise
//	work b0rk the way the main engine is currently written.
	targetURL.location = "http://chewtoy.net/files/widget/lotto/frloto/LOTO.CSV";
//	targetURL.postData = "drawTypeID=1&drawSubTypeID=1&dateCriteria=1M";
	return targetURL;
}

function scrapeCurrentDrawingData(htmlData)
{
//	France Lotto has TWO drawings
/*	Sample CSV data
annee_numero_de_tirage;1er_ou_2eme_tirage;jour_de_tirage;date_de_tirage;date_de_forclusion;boule_1;boule_2;boule_3;boule_4;boule_5;boule_6;boule_complementaire;combinaison_gagnante_en_ordre_croissant;numero_joker;nombre_de_gagnant_au_rang1;rapport_du_rang1;nombre_de_gagnant_au_rang2;rapport_du_rang2;nombre_de_gagnant_au_rang3;rapport_du_rang3;nombre_de_gagnant_au_rang4;rapport_du_rang4;nombre_de_gagnant_au_rang5;rapport_du_rang5;nombre_de_gagnant_au_rang6;rapport_du_rang6;nombre_de_gagnant_au_rang7;rapport_du_rang7;devise;
2005041;2;SA;20050521;20050722;5;41;12;29;2;42;23;2-5-12-29-41-42;9031229;0;0;10;9267,3;265;1195,2;828;44,8;17351;22,4;25641;4,4;333132;2,2;eur;
2005041;1;SA;20050521;20050722;11;37;16;34;13;19;9;11-13-16-19-34-37;;5;179117;6;15372,8;546;591,1;1185;35,2;21720;17,6;34876;3,8;372371;1,9;eur;
*/

	tmp = htmlData;
//	tmp = tmp.replace(rxStripCRLFg, "");	// strip all linefeeds
//	tmp = tmp.replace(rxStripJSg,"");	//strip all JavaScript
//	tmp = tmp.replace(rxStripHTMLg, " ");	// strip all HTML (replace with whitespace, or this page runs together)
//	print("--------------CRLF & JS STRIPPED------------\n"+tmp+"\n------------------");

	tmparray=tmp.split(";");

	print("-------tmparray---------\n" + tmparray + "-----------------");

	match1 = new Array();
	match2 = new Array();

	tmparray1 = tmparray.slice(0,28);
	tmparray2 = tmparray.slice(29);

	//  First, find the dates
//	tmp_date = tmp.match(/\b\d+\/\d+\/\d+/)
//	print("---------- tmp_date -----------\n" + tmp_date + "\n------------");
	match1[0] = tmparray1[3];
	match2[0] = tmparray2[3];
	print("---------- tmp_dates -----------\n" + match1[0] + "\n" + match2[0] + "\n------------");

	//Find the numbers next.
//	tmp_balls = tmp.match(/\b\d{1,2}(?=\s)/);
//	tmp_balls = tmp.match(/(  \d{1,2}(?=\s))/g);
//	print("----------- tmp_balls ---------\n" + tmp_balls + "\n-----------");


	for(i=0 ; i < num_balls ; i++)
	{
		match1[i+2] = tmparray1[5+i];	
		match2[i+2] = tmparray2[5+i];	
	}
	print("--------matches are-----------\n" + match1 + "\n" + match2 + "\n----------");

		
	// Now estimate the jackpot.
	// The USA Powerball Lotto page doesn't (reliably) show the estimated jackpot for the previous drawing, so neither will we.
	match1[1] = null;
	match2[1] = null;

//	For France Lotto, make match1 & match2 elements of a bigger match array than usual.
	match = [match1,match2];

	print("-----all matched data ----------\n" + match + "\n-------------");

	return match;
}

function arrangeCurrentDrawingDataInObject(match, this_drawing)
{
	this_drawing.lottonamestr.data = lottery_name;

	print("-------match--------\n"+match+"\n------------");
	
	this_drawing.datestr.data = "Draw Date: " + match[0][0];
	
	for(z=0 ; z < num_drawings ; z++)
	{
		for(i=0 ; i < this_drawing.numbers[z].length ; i++)
		{
	//		print(i);
			this_drawing.numbers[z][i].src = "Resources/Images/balls/" + match[z][i+2] + ".png";
	//		print(this_drawing.numbers[i].src);
		}
		//Fix the last ball in each drawing to be the special one
		this_drawing.numbers[z][6].src = this_drawing.numbers[z][6].src.replace(/(\d+\.png)/,"mb_$&");
	}

	//Estimate the Jackpot
	//	This isn't actually functional in this lotto.  It's just here for future use.
//	tmp = match[1];
//	tmp = tmp.replace(/&pound;/,"GBP");
//	this_drawing.estjackpot.data = "Est Jackpot: EUR" + tmp;

//	print(this_drawing.estjackpot.data);
	
	this_drawing.detailsURL.location = null;

}