// Version 1.0
// Version 1.1	Updated to fix breakage with new Mega Millions details page layout

//	Window layout globals
lottery_name = "USA MegaMillions";
num_balls = 6;
ball_size = 22;
ball_hspacing = 27;  //put their centerlines this far apart.
//main_width = 200;

//	Image sources
imgBkgrd.src = "Resources/Images/layouts/megamillions/usamegamillions-bkgrd.png";
lottonamestr_backdrop = "Resources/Images/layouts/megamillions/red.png";
datestr_backdrop = "Resources/Images/layouts/megamillions/red.png";
estjackpot_backdrop = "Resources/Images/layouts/megamillions/red.png";

function buyTicketsOnline()
{
	openURL("http://www.shareasale.com/r.cfm?b=3843&u=130900&m=625&urllink=&afftrack=");
}

function setLotteryResultsURL(this_drawing)
{
	targetURL = new URL();
	targetURL.location = "http://www.megamillions.com/winningpicks/last_25.asp";
//	targetURL.postData = "drawTypeID=1&drawSubTypeID=1&dateCriteria=1M";
	return targetURL;
}

function scrapeCurrentDrawingData(htmlData)
{
	tmp = htmlData;
	tmp = tmp.replace(rxStripCRLFg, "");	// strip all linefeeds
//	tmp = tmp.replace(rxStripJSg,"");	//strip all JavaScript
//	tmp = tmp.replace(rxStripHTMLg, "");	// strip all HTML
//	print("--------------HTML STRIPPED------------\n"+tmp+"\n------------------");

	rxDate = new RegExp(/(\d+\/\d+\/\d+)/);
	rx5Balls = new RegExp(/(\d+),(\d+),(\d+),(\d+),(\d+)/);

	rxPattern = new RegExp(rxDate.source + rxStripHTMLinarow.source + rx5Balls.source + rxStripHTMLinarow.source + " Mega Ball = " + rxStripHTMLinarow.source + "(\\d+).*?href=\'([^\']*)");
	print(rxPattern.source);	

	//	Now parse the drawing data
	match = tmp.match(rxPattern);
	print("-------------matched------------\n"+match+"\n-----------");
	return match;
}

function arrangeCurrentDrawingDataInObject(match, this_drawing)
{
	this_drawing.lottonamestr.data = lottery_name;

	print("-------match--------\n"+match+"\n------------");
	
	this_drawing.datestr.data = "Drawing Date: " + match[1];
	
	for(i=0 ; i<this_drawing.numbers.length ; i++)
	{
		print(i);
		this_drawing.numbers[i].src = "Resources/Images/balls/" + match[i+2] + ".png";
		print(this_drawing.numbers[i].src);
	}

	//Fix the last ball to be the special one
	this_drawing.numbers[5].src = this_drawing.numbers[5].src.replace(/(\d+\.png)/,"mb_$&");

//	Store the Details URL for jackpot estimation
	this_drawing.detailsURL.location = match[8];

	hide_progress_alert();
	show_progress_alert("Estimating Jackpot...");

			targetURL = new URL();
			targetURL.location = "http://www.megamillions.com/winningpicks/" + this_drawing.detailsURL.location;
			res = targetURL.fetch();

			// Check for HTTP errors
			if (targetURL.response != 200)
			{
				alert("HTTP Error " + targetURL.response + " occurred while estimating the jackpot.");
				return;
			}

			hide_progress_alert();


	//Estimate the Jackpot
//			rxPattern = new RegExp("paying&nbsp;Est.&nbsp;" + rxStripHTMLinarow.source + "(\\$[\\d,]*)");

			tmp = res.replace(rxStripHTMLg, " ");	// strip all HTML
//			print(tmp)
			rxPattern = new RegExp("\\$[\\d,]+");
			print(rxPattern);
			match = tmp.match(rxPattern);
//			match = tmp.match(/\$[\d,]+/);

			print("------est. jackpot match-----\n" + match);

//			return;


	this_drawing.estjackpot.data = "Est Jackpot: " + match;

	print(this_drawing.estjackpot.data);
	
//	this_drawing.detailsURL.location = null;

}