//	Version 1.0
//	Version 1.1	changed URL fetch method to GET instead of POST to fix Error 500 from national-lottery.co.uk

//	Window layout globals
lottery_name = "UK National Lotto 6/49";
num_balls = 7;
ball_size = 22;
ball_hspacing = 27;  //put their centerlines this far apart.

//	Image sources
imgBkgrd.src = "Resources/Images/layouts/uknational/uknational-bkgrd.png";
lottonamestr_backdrop = "Resources/Images/layouts/uknational/red.png";
datestr_backdrop = "Resources/Images/layouts/uknational/red.png";
estjackpot_backdrop = "Resources/Images/layouts/uknational/red.png";

function buyTicketsOnline()
{
	openURL("http://www.shareasale.com/r.cfm?b=1027&u=130900&m=625&urllink=&afftrack=");
}

function setLotteryResultsURL(this_drawing)
{
	targetURL = new URL();
//	targetURL.location = "http://www.national-lottery.co.uk/player/p/results/resultsHistory/resultsHistoryAction.do";
//	targetURL.postData = "drawTypeID=1&drawSubTypeID=0&dateCriteria=1M";
	targetURL.location = "http://www.national-lottery.co.uk/player/p/results/resultsHistory/resultsHistoryAction.do?drawTypeID=1&drawSubTypeID=0&dateCriteria=1M";
	return targetURL;
}

function scrapeCurrentDrawingData(htmlData)
{
	tmp = htmlData;
	tmp = tmp.replace(rxStripCRLFg, "");	// strip all linefeeds
	tmp = tmp.replace(rxStripJSg,"");	//strip all JavaScript
	tmp = tmp.replace(rxStripHTMLg, "");	// strip all HTML
//	print("--------------HTML STRIPPED------------\n"+tmp+"\n------------------");

	//	Now parse the drawing data
	match = tmp.match(/(?:Prizes)\s+\w+\s+(\d+)\s+(\w+ \d+ \w+ \d+)\s+(\d+)-(\d+)-(\d+)-(\d+)-(\d+)-(\d+)-(\d+)\s+\w+\s+\d+\s+(\S+(?=&nbsp;))/);
//	print("-------------matched------------\n"+match+"\n-----------");
	return match;
}

function arrangeCurrentDrawingDataInObject(match, this_drawing)
{
	this_drawing.lottonamestr.data = lottery_name;

	print("-------match--------\n"+match+"\n------------");
	
	this_drawing.datestr.data = "Drawing Date: " + match[2];
	
	for(i=0 ; i<this_drawing.numbers.length ; i++)
	{
		print(i);
		this_drawing.numbers[i].src = "Resources/Images/balls/" + match[i+3] + ".png";
		print(this_drawing.numbers[i].src);
	}

	//Fix the last ball to be the special one
	this_drawing.numbers[6].src = this_drawing.numbers[6].src.replace(/(\d+\.png)/,"mb_$&");

	//Estimate the Jackpot
	tmp = match[10];
	tmp = tmp.replace(/&pound;/,"GBP");
	this_drawing.estjackpot.data = "Est Jackpot: " + tmp;

	print(this_drawing.estjackpot.data);
	
	this_drawing.detailsURL.location = null;

}